javax.xml.ws.handler

## Interface Handler<C extends MessageContext>

- All Known Subinterfaces:
    LogicalHandler<C>, SOAPHandler<T>

      public interface Handler<C extends MessageContext>

  The `Handler` interface is the base interface for JAX-WS handlers.
  Since:
    JAX-WS 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(MessageContext context)` Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime dispatching a message, fault or exception.
    `boolean` | `handleFault(C context)` The `handleFault` method is invoked for fault message processing.
    `boolean` | `handleMessage(C context)` The `handleMessage` method is invoked for normal processing of inbound and outbound messages.

- - ### Method Detail

    - #### handleMessage

          boolean handleMessage(C context)

      The `handleMessage` method is invoked for normal processing of inbound and outbound messages. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Parameters:
        `context` - the message context.
      Returns:
        An indication of whether handler processing should continue for the current message
        - Return `true` to continue processing.
        - Return `false` to block processing.
      Throws:
        `RuntimeException` - Causes the JAX-WS runtime to cease handler processing and generate a fault.
        `ProtocolException` - Causes the JAX-WS runtime to switch to fault message processing.

    - #### handleFault

          boolean handleFault(C context)

      The `handleFault` method is invoked for fault message processing. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Parameters:
        `context` - the message context
      Returns:
        An indication of whether handler fault processing should continue for the current message
        - Return `true` to continue processing.
        - Return `false` to block processing.
      Throws:
        `RuntimeException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.
        `ProtocolException` - Causes the JAX-WS runtime to cease handler fault processing and dispatch the fault.

    - #### close

          void close(MessageContext context)

      Called at the conclusion of a message exchange pattern just prior to the JAX-WS runtime dispatching a message, fault or exception. Refer to the description of the handler framework in the JAX-WS specification for full details.
      Parameters:
        `context` - the message context

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.